The minimum recommended browser versions for using ei3  are:
  • Google Chrome v49 and up
  • Mozilla Firefox v52 and up
  • Microsoft Internet Explorer v11 and up
  • Microsoft Edge v18 and up
  • Opera v49

If you are trying to use some other browser, contact e-services to check your browser compatibility with our web applications.

See also: Minimum system requirements for ei3

© 2020 ei3 Corporation. Content of this web page is proprietary to ei3 Corporation.

Print Friendly, PDF & Email